@import "abstracts/mixins";
@import "abstracts/vars";
@import "base/fontawesome/font-awesome-mix-var";

.tab-content-wrapper {
    min-height: 227px;
    background: $bg-basic-color;
    // border: 1px solid $border-offering;
    // padding: 2.375rem;
    // height: 100%;
}

.tab-image-wrapper {
    position: relative;

    .new-banner {
        position: absolute;
        top: 0;
        left: 2rem;
    }
}

.tabs-container {
    .tab-content-wrapper {
        border: 1px solid $border-offering;
        padding: 2.375rem;
    }
}

.tab-wrapper {
    .field-name {
        font-size: 1.5rem;
        font-weight: 700;
        margin-bottom: 1.6875rem;
        color: #000;
    }

    .field-summary {
        font-size: 1.375rem;
        line-height: 1.2;
        margin-bottom: 1.375rem;
        display: block;

        p,
        &>span {
            font-size: 1.375rem;
            line-height: 1.2;
            margin-bottom: 1.375rem;
            display: block;
        }

        ul {
            margin: 0;
            padding: 0;

            li {
                font-size: 1.175rem;
                line-height: 1.2;
                font-weight: 700;
                margin-bottom: 1.175rem;
                list-style: none;
                margin-left: 0;

                a {
                    font-size: 1.175rem;
                    color: $blue;
                    text-decoration: underline;
                }
            }
        }
    }

    .field-link {
        a {
            font-size: 1.175rem;
            line-height: 1.2;
            font-weight: 700;
            color: $blue;
            display: inline-flex;
            align-items: center;
            text-decoration: none;

            &::before {
                content: "\f054";
                font-family: FontAwesome;
                width: 50px;
                height: 50px;
                display: flex;
                justify-content: center;
                align-items: center;
                color: #fff;
                background: $blue;
                border: .125rem solid $blue;
                border-radius: 50%;
                font-size: 0.875rem;
                margin-right: 0.75rem;
                transition: all .25s linear;
            }

            &:hover {
                &::before {
                    background: #fff;
                    color: $blue;
                }

            }
        }

    }
}

.ymbin_container {
    @media (max-width: 767px) {
        padding: 0 !important
    }
}

.interested-in-container {
    margin: 60px 0 0 0;
    padding-bottom: 60px;

    @media (max-width: 767px) {
        margin: 0;
    }

    .slick-track {
        max-width: none !important;
    }

    .slick-list.draggable {
        padding: 0px 30px 0 15px !important;
    }
}

.on-page-editor .interested-in-container div.scLooseFrameZone {
    display: flex;
}

.slick-prev:before,
.slick-next:before {
    content: "\f105";
    font-family: FontAwesome;
    color: #000;
    opacity: 1;
}

.slick-prev,
.slick-next {
    top: auto;
    bottom: -7%;
    transform: translate(0, 0);

    &.slick-disabled {
        &::before {
            opacity: 0.5;
        }
    }
}

.slick-prev {
    left: 15px;
    transform: rotate(180deg);
}

.slick-next {
    right: 15px;
}

.slider-indicator {
    display: none;
}

@media (min-width:768px) {

    .accordion {
        display: none;
    }

    .offerings-tabs {
        padding: 0;


        .tabs-heading {
            display: flex;
            justify-content: space-between;
            height: 5rem;
            flex-wrap: nowrap;

            li {
                display: flex;
                align-items: center;
                justify-content: center;
                text-align: center;
                min-width: 15%;
                margin: 0 .1875rem 0 0;
                background-color: #dcdcdc;
                padding: 0;
                border-top: 5px solid #dcdcdc;
                border-bottom: 0 solid transparent;
                border-left: 0 solid transparent;
                border-right: 0 solid transparent;

                .component.content {
                    padding: 0;
                }

                &>div {
                    padding: 0px 35px;
                }

                .field-heading {
                    font-size: 1.1rem;
                    line-height: 1.1;
                    font-weight: 700;
                    color: $bg-black;
                }

                &:hover {
                    background-color: #fff;
                    border-top: 5px solid #fff;

                    .field-heading {
                        color: $blue;
                    }
                }

                &.active {
                    border-top: 5px solid $blue;
                    background-color: #fff;

                    .field-heading {

                        color: $blue;
                    }

                    &:hover {
                        border-top: 5px solid #eb757f;

                        .field-heading {
                            color: #eb757f;
                        }

                    }
                }
            }
        }
    }

    .tabs-container {
        border-top: 0 solid transparent;
        position: relative;

        .component.content {
            padding: 0;
            height: auto;
        }

        .component-content {
            display: flex;

            .tab-wrapper {
                flex: 1;
                padding-right: 20px;
                display: flex;
                flex-direction: column;

                .field-hero-image {
                    line-height: 0;

                    img {
                        width: 100%;
                        display: block;
                        max-height: 220px;

                    }
                }

                &:last-of-type {
                    padding-right: 0;
                }
            }
        }

        .tab {
            padding: 5rem 0 0 0;
        }
    }

    .white-bg {
        position: relative;
        margin-top: 3.4375rem;
        margin-bottom: 4.375rem;

        &:before {
            content: '';
            display: block;
            position: absolute;
            background: $bg-basic-color;
            width: 100vw;
            height: 100%;
            top: 5rem;
            left: 0;
            bottom: 0;
            right: 0;
        }

        .row {
            .component.container {
                background: transparent;
            }
        }
    }
}

@media (max-width:767px) {
    .slider-indicator {
        display: block;
        position: absolute;
        bottom: 25px;
        left: 50%;
        font-family: inherit;
        font-size: 1.5rem;

        strong {
            font-weight: bold;
            color: #000;
        }
    }

    .interested-in-container {
        border-top: 0 solid transparent;
        position: relative;

        .component.content {
            padding: 0;
            height: auto;
        }

        .component-content {
            display: flex;

            .tab-wrapper {
                flex: 1;
                padding-right: 20px;
                display: flex;
                flex-direction: column;

                .field-hero-image {
                    line-height: 0;

                    img {
                        width: 100%;
                        display: block;
                        max-height: 220px;

                    }
                }

                &:last-of-type {
                    padding-right: 0;
                }
            }
        }

        .tab {
            padding: 5rem 0 0 0;
        }
    }

    .offerings-tabs {
        display: none;
    }

    .featured-list__header__title {
        font-size: 3.8rem;
    }

    .featured-list__header {
        padding-top: 2.625rem;
        padding-bottom: 3.25rem;
    }

    #offerings .container-fluid {
        padding: 0 15px !important;
    }

    .tab-wrapper {
        .field-name {
            font-size: 2.3rem;
            color: #000;
        }

        .field-link {
            margin-top: 24px;

            a {
                font-size: 1.8rem;

                &::before {
                    width: 40px;
                    height: 40px;
                    font-size: 1.7rem;
                    font-weight: 100;

                }
            }
        }

        .field-summary {
            p {
                font-size: 1.8rem;
                line-height: 1.5;
            }

            ul {
                li {
                    font-size: 1.8rem;

                    a {
                        font-size: 1.8rem;
                    }
                }
            }
        }



        .field-hero-image {
            img {
                display: none;
            }

        }
    }

    .featured-list__header {
        border-top-width: 1rem;
    }

    .white-bg {
        &.container-fluid {
            padding: 0 15px !important;
        }

        &:before {
            display: none;
        }


    }

    .items {
        background: $bg-basic-color;
        font-size: 16px;

        .item {
            border-top: 2px solid #c8c8c8;

            .toggle-header {
                border: 0;
                background-color: $bg-basic-color;
                padding: 0;

                .label,
                .content {
                    padding: 0;
                }

                .field-heading {
                    padding: 1.8rem 15px;
                    font-size: 2.3rem;
                    color: #333;
                    font-weight: bold;
                    width: 85%;
                    white-space: normal;

                    &::before {
                        content: "\f067";
                        width: 40px;
                        height: 40px;
                        right: 15px;
                        left: auto;
                        background-color: #0033ab;
                        color: #fff;
                        border-radius: 50%;
                        display: flex;
                        justify-content: center;
                        align-items: center;
                    }
                }
            }

            .toggle-content {
                padding: 0;

                .component.content {
                    padding: 0;
                }

                .tab-wrapper {
                    border-top: 1px solid #c8c8c8;
                    padding: 30px;
                }
            }

            &.active {
                .field-heading {
                    &::before {
                        content: "\f068" !important;
                    }
                }

            }
        }

    }

    .tab-image-wrapper {
        .new-banner {
            top: -30px;
            left: auto;
            right: -15px;

            img {
                width: 50%;
                float: right;
            }
        }
    }

    .interested-in-container {
        .new-banner {
            position: absolute;
            top: 0;
            left: 2rem;
            right: auto;

            img {
                width: 100%;
                float: none;
            }
        }
    }
}

@media (min-width:1200px) {
    .tab-content-wrapper {
        min-height: 355px;
    }
}

@media (min-width:1438px) {
    .tab-content-wrapper {
        min-height: 426px;
    }
}